# Uses of Enum Class
java.lang.reflect.AccessFlag.Location

Packages that use AccessFlag.Location
Package
Description
java.lang.reflect
Provides classes and interfaces for obtaining reflective information about classes and objects.

## Uses of AccessFlag.Location in java.lang.reflect

Methods in java.lang.reflect that return AccessFlag.Location
Modifier and Type
Method
Description
`static AccessFlag.Location`
AccessFlag.Location.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AccessFlag.Location[]`
AccessFlag.Location.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in java.lang.reflect that return types with arguments of type AccessFlag.Location
Modifier and Type
Method
Description
`Set<AccessFlag.Location>`
AccessFlag.`locations()`
Returns kinds of constructs the flag can be applied to in the latest class file format version.
`Set<AccessFlag.Location>`
AccessFlag.`locations(ClassFileFormatVersion cffv)`
Returns kinds of constructs the flag can be applied to in the given class file format version.
Methods in java.lang.reflect with parameters of type AccessFlag.Location
Modifier and Type
Method
Description
`static Set<AccessFlag>`
AccessFlag.`maskToAccessFlags(int mask, AccessFlag.Location location)`
Returns an unmodifiable set of access flags for the given mask value appropriate for the location in question.